var BaseBusiness = require('./base.js');


class EnvBusiness extends BaseBusiness{

    add(name, url){
        var environments = this.load("env") || {};
        environments[name] = url;
        this.dump("env", environments);
    }

    remove(name){
        var environments = this.load("env") || {};
        delete environments[name];
        this.dump("env", environments);
    }

    get(name){
        var environments = this.load("env") || {};
        return environments[name];
    }

    findAll(){
        return this.load("env") || {};
    }

}

module.exports = EnvBusiness;