const BaseBusiness = require("./base");
const _ = require('lodash');
const KowalskiAPI = require('./api');
const fs = require('fs');

class PkgBusiness extends BaseBusiness {

    constructor(){
        super();
        this.api = new KowalskiAPI();
    }

    pkg(env){
        let jsonObjects = this.api.map(this.loadAll());
        var zip = new require('node-zip')();
        zip.file('kwObjects.json', JSON.stringify(jsonObjects));
        var data = zip.generate({base64:false,compression:'DEFLATE'});
        fs.writeFileSync('pkg.kw', data, 'binary');
    }

}

module.exports = PkgBusiness;